Name:		baggle
Version:	0.7
Release:	1%{?dist}
Summary:	An online Boggle game

Group:		Amusements/Games
License:	GPLv3+
URL:		http://www.inouire.net/baggle/
Source0:	http://www.inouire.net/fedora/baggle_0.7_src.tar.gz
#Source1:	http://www.inouire.net/fedora/baggle_0.7_src.tar.gz
Source2:	baggle.sh
#Source3:	baggle-server.sh

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	java-devel
BuildRequires:	jpackage-utils
Requires:	java
Requires:	jpackage-utils

%description
B@ggle is an online Boggle game that lets you play
against your friends.

%prep
%setup -q -n %{name}_%{version}_src


%build
mkdir -p classes/META-INF
javac -d classes boggleclient/Main.java
cp -R icons classes
# fix the class-path-in-manifest rpmlint issue
sed -i '/class-path/I d' MANIFEST.MF
cp MANIFEST.MF classes/META-INF
cd classes
jar cmvf META-INF/MANIFEST.MF baggle.jar boggleclient/ GUI/ icons/
cd ..
mv classes/baggle.jar .

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_bindir}
install -D -p %{name}.jar %{buildroot}%{_javadir}
install -D -p -m 0755 %{S:2} %{buildroot}%{_bindir}/%{name}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING
%{_javadir}/%{name}.jar
%{_bindir}/%{name}


%changelog
* Thu Dec 24 2009 Le Coz Florent <louizatakk@fedoraproject.org> - 0.7-1
- First version from scratch
